Bug 198080 - votes=0 in cluster.conf results in 1 vote when node joins the cluster
votes=0 in cluster.conf results in 1 vote when node joins the cluster
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cman (Show other bugs)
4
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-09 04:53 EDT by Ian G. Gosling
Modified: 2009-04-24 10:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-24 10:40:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
workaround patch for cman (302 bytes, patch)
2006-07-09 04:53 EDT, Ian G. Gosling
no flags Details | Diff

  None (edit)
Description Ian G. Gosling 2006-07-09 04:53:49 EDT
Description of problem:

Specifying votes=0 in cluster.conf is legal (and useful for a node that just
wants to access a gfs filesystem but doesn't want to increase the quorum in
case it goes away again).
However, cman_tool join always checks ccsd for votes=0 and changes it to 1.

Version-Release number of selected component (if applicable):
cman-1.0.4

How reproducible:
hard fault

Steps to Reproduce:
1. configure one node with votes=1 and a second node with votes=0 in cluster.conf
2. bring up the first node with ccsd and cman active
3. bring up the second node with ccsd and cman active
  
Actual results:
/proc/cluster/nodes shows that both nodes have 1 vote.

Expected results:
/proc/cluster/nodes:
Node  Votes Exp Sts  Name
   1    1    1   M   amd
   2    0    1   M   rhel4

Additional info:

my workaround: patch cman_tool as per attachment
Comment 1 Ian G. Gosling 2006-07-09 04:53:49 EDT
Created attachment 132123 [details]
workaround patch for cman
Comment 2 Christine Caulfield 2006-07-10 09:07:55 EDT
It needed a little more than that, but only one line :)

Thanks.

Checking in main.c;
/cvs/cluster/cluster/cman/cman_tool/main.c,v  <--  main.c
new revision: 1.12.2.7.6.4; previous revision: 1.12.2.7.6.3
done
Checking in main.c;
/cvs/cluster/cluster/cman/cman_tool/main.c,v  <--  main.c
new revision: 1.12.2.9; previous revision: 1.12.2.8
done

Note You need to log in before you can comment on or make changes to this bug.